%define	ephy_major		2.18
%define	ephy_min_version	%{ephy_major}.0

Name:		epiphany-extensions
Version:	%{ephy_major}.1
Release:	1
Summary:	Extensions for Epiphany, the GNOME web browser

License:	GPL
Group:		Applications/Internet
URL:		http://www.gnome.org/projects/epiphany/extensions

Source0:	http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/%{ephy_major}/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	epiphany-devel >= %{ephy_min_version}
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext
BuildRequires:	opensp-devel
BuildRequires:	pcre-devel

Requires:	epiphany >= %{ephy_min_version}
Requires:	firefox = %(rpm -q firefox-devel --qf '%%{version}' 2>/dev/null)

Requires(pre):	GConf2

Requires(post): scrollkeeper
Requires(post):	GConf2

Requires(preun):	GConf2

Requires(postun): scrollkeeper

%description
Epiphany Extensions is a collection of extensions for Epiphany, the
GNOME web browser.


%prep
%setup -q


%build
%configure --disable-compiler-warnings --disable-scrollkeeper	\
	--with-extensions=really-all
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install
%{find_lang} "%{name}-%{ephy_major}"


%clean
%{__rm} -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas	\
		%{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:
fi


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas	\
	%{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas	\
		%{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:
fi


%postun
scrollkeeper-update -q ||:

%files -f %{name}-%{ephy_major}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.README ChangeLog README NEWS
%{_datadir}/epiphany/icons/hicolor/*/status/feed-presence.*
%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%exclude %{_libdir}/epiphany/%{ephy_major}/extensions/*.la
%{_libdir}/epiphany/%{ephy_major}/extensions/
%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas
%{_sysconfdir}/gconf/schemas/epilicious.schemas


%changelog
* Wed Apr 11 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.1-1
- Update to new upstream release (2.18.1).

* Sat Mar 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.0-2
- Rebuild against new Gecko release (Firefox 2.0.0.3).

* Wed Mar 14 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.0-1
- Update to new upstream release (2.18.0).
- Remove shell syntax error (erroneous "||:") in %%preun scriptlet.

* Fri Mar 02 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.92-1
- Update to new upstream release (2.17.92), which includes the Epilicious
  extension (thus closing bug #223746).  
- Add an explicit versioned dependency on firefox to help avoid version-bump
  incompatibilities in the future.(Thanks to Brian Pepple for the fix.)  

* Sat Jan 27 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-3
- Enable all extensions. (Woo!)
- Fix summary (it shouldn't end with a period).

* Fri Jan 26 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-2
- Fix %%post GConf scriptlet (thanks to David Nielsen for the bug report via
  email) and a spelling mistake in previous %%changelog entry. 
- Lots of aesthetic fixes to the spec file.

* Wed Jan 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-1
- Update to new upstream release (2.17.4)
- Use %%find_lang instead of a hardcoded call to 'find_lang.sh --all-name'
- A couple of fixes from Brian Pepple:
  (1) Own only the extensions subdirectory in %%_libdir/epiphany, not the
  toplevel epiphany directory (which is owned by epiphany).
  (2) Don't package libtool archive (*.la) files.
- Make macro usage a bit more consistent.
- Add AUTHORS, COPYING, and COPYING.README to installed documentation (%%doc).
- Includes smart-bookmarks GConf schema, so add associated gconftool-2
  scriptlet calls, etc. 

* Fri Dec 01 2006 Peter Gordon <peter@thecodergeek.com> - 2.17.0-1
- Update to new upstream release (2.17.0), for new Epiphany 2.17/2.18 in Devel. 
- Fix BuildRoot to be in compliance with Fedora Extras packaging policy  

* Thu Oct 12 2006 Peter Gordon <peter@thecodergeek.com>
- Change perl-XML-Parser BR to perl(XML::Parser)
- DESTDIR is a make variable, not an external one

* Thu Oct 12 2006 Zack Cerza <zcerza@redhat.com> 2.16.0-1
- Update to 2.16.0

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> 2.15.2-1
- Update to 2.15.2

* Sun Apr 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1-1
- Upstream update

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 1.9.7-1
- Update to 1.9.7

* Sun Feb  5 2006 Christopher Aillon <caillon@redhat.com> - 1.9.6-1
- Update to 1.9.6

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.9.4-1
- Update to 1.9.4

* Fri Dec 30 2005 Christopher Aillon <caillon@redhat.com> - 1.9.3-1
- Update to 1.9.3

* Mon Oct 10 2005 Christopher Aillon <caillon@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Tue Sep  6 2005 Christopher Aillon <caillon@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Wed Aug 10 2005 Christopher Aillon <caillon@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Fri Jul 29 2005 Christopher Aillon <caillon@redhat.com> - 1.7.3-1
- Update to 1.7.3

* Mon Jul 11 2005 Christopher Aillon <caillon@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Mon Jun 27 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-2
- Own %%{_libdir}/epiphany
- Run find-lang.sh manually since the macro doesn't help us
- Clean up summary

* Thu Jun 16 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-1
- Initial RPM
